<%= form_with(model: car, local: true) do |form| %>
  <% if car.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(car.errors.count, "error") %> prohibited this car from being saved:</h2>

      <ul>
      <% car.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :model %>
    <%= form.text_field :model, id: :car_model %>
  </div>

  <div class="field">
    <%= form.label :color %>
    <%= form.text_field :color, id: :car_color %>
  </div>

  <div class="field">
    <%= form.label :price %>
    <%= form.text_field :price, id: :car_price %>
  </div>

  <div class="field">
    <%= form.label :year %>
    <%= form.number_field :year, id: :car_year %>
  </div>

  <div class="field">
    <%= form.label :details %>
    <%= form.text_area :details, id: :car_details %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
